Index: trunk/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 1601)
@@ -4,9 +4,9 @@
    !! Ocean physics:  lateral diffusivity coefficient 
    !!=====================================================================
-   !! History :
-   !!        !  07-97  (G. Madec)  from inimix.F split in 2 routines
-   !!        !  08-97  (G. Madec)  multi dimensional coefficients
-   !!   8.5  !  02-09  (G. Madec)  F90: Free form and module
-   !!   9.0  !  05-11  (G. Madec)  
+   !! History :        ! 1997-07  (G. Madec)  from inimix.F split in 2 routines
+   !!   NEMO      1.0  ! 2002-09  (G. Madec)  F90: Free form and module
+   !!             2.0  ! 2005-11  (G. Madec)  
+   !!----------------------------------------------------------------------
+
    !!----------------------------------------------------------------------
    !!   ldf_tra_init : initialization, namelist read, and parameters control
@@ -15,5 +15,4 @@
    !!   ldf_tra_c1d   : 1D eddy viscosity coefficient initialization
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
@@ -22,4 +21,5 @@
    USE ldfslp          ! ???
    USE in_out_manager  ! I/O manager
+   USE ioipsl
    USE lib_mpp         ! distribued memory computing library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
@@ -28,15 +28,14 @@
    PRIVATE
 
-   !! *  Routine accessibility
-   PUBLIC ldf_tra_init   ! called by opa.F90
+   PUBLIC   ldf_tra_init   ! called by opa.F90
 
    !! * Substitutions
 #  include "domzgr_substitute.h90"
 #  include "vectopt_loop_substitute.h90"
-   !!---------------------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
-   !!---------------------------------------------------------------------------------
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
@@ -62,14 +61,11 @@
       !!      coefficients are initialized to a hyperbolic tangent vertical
       !!      profile.
-      !!
       !!----------------------------------------------------------------------
-      USE ioipsl
-
-      INTEGER ::   ioptio               ! ???
+      INTEGER ::   ioptio               ! temporary integer
       LOGICAL ::   ll_print = .FALSE.   ! =T print eddy coef. in numout
-       
-      NAMELIST/nam_traldf/ ln_traldf_lap  , ln_traldf_bilap,                &
-         &                 ln_traldf_level, ln_traldf_hor, ln_traldf_iso,   &
-         &                 aht0, ahtb0, aeiv0
+      !! 
+      NAMELIST/namtra_ldf/ ln_traldf_lap  , ln_traldf_bilap,                  &
+         &                 ln_traldf_level, ln_traldf_hor  , ln_traldf_iso,   &
+         &                 rn_aht_0       , rn_ahtb_0      , rn_aeiv_0
       !!----------------------------------------------------------------------
 
@@ -77,22 +73,26 @@
       ! =============================================
     
-      ! Read Namelist nam_traldf : Lateral physics on tracers
-      REWIND( numnam )
-      READ  ( numnam, nam_traldf )
+      REWIND( numnam )                  ! Read Namelist namtra_ldf : Lateral physics on tracers
+      READ  ( numnam, namtra_ldf )
 
-      IF(lwp) THEN
+      IF(lwp) THEN                      ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'ldf_tra_init : lateral tracer physics'
          WRITE(numout,*) '~~~~~~~~~~~~ '
-         WRITE(numout,*) '          Namelist nam_traldf : lateral mixing coefficients'
-         WRITE(numout,*) '             laplacian operator          ln_traldf_lap   = ', ln_traldf_lap
-         WRITE(numout,*) '             bilaplacian operator        ln_traldf_bilap = ', ln_traldf_bilap
-         WRITE(numout,*) '             lateral eddy diffusivity             aht0   = ', aht0
-         WRITE(numout,*) '             background hor. diffusivity          ahtb0  = ', ahtb0
-         WRITE(numout,*) '             eddy induced velocity coef.          aeiv0  = ', aeiv0
+         WRITE(numout,*) '   Namelist namtra_ldf : lateral mixing coefficients'
+         WRITE(numout,*) '      laplacian operator            ln_traldf_lap   = ', ln_traldf_lap
+         WRITE(numout,*) '      bilaplacian operator          ln_traldf_bilap = ', ln_traldf_bilap
+         WRITE(numout,*) '      lateral eddy diffusivity      rn_aht_0        = ', rn_aht_0
+         WRITE(numout,*) '      background hor. diffusivity   rn_ahtb_0       = ', rn_ahtb_0
+         WRITE(numout,*) '      eddy induced velocity coef.   rn_aeiv_0       = ', rn_aeiv_0
          WRITE(numout,*)
       ENDIF
 
-      ! Parameter control
+      !                                ! convert DOCTOR namelist names into OLD names
+      aht0  = rn_aht_0
+      ahtb0 = rn_ahtb_0
+      aeiv0 = rn_aeiv_0
+
+      !                                ! Parameter control
 
       ! ... Check consistency for type and direction :
@@ -112,6 +112,5 @@
       IF(lwp) WRITE(numout,*) '          tracer mixing coef. = F( depth )'
       ioptio = ioptio + 1
-      IF( .NOT. ln_zco ) &
-           &   CALL ctl_stop( '          key_traldf_c1d can only be used in z-coordinate - full step' )
+      IF( .NOT. ln_zco )   CALL ctl_stop( 'key_traldf_c1d can only be used in z-coordinate - full step' )
 #endif
       IF( ioptio == 0 ) THEN
@@ -124,10 +123,8 @@
       IF( ln_traldf_bilap ) THEN
          IF(lwp) WRITE(numout,*) '          biharmonic tracer diffusion'
-         IF( aht0 > 0 .AND. .NOT. lk_esopa )   &
-              &   CALL ctl_stop( '          The horizontal diffusivity coef. aht0 must be negative' )
+         IF( aht0 > 0 .AND. .NOT. lk_esopa )   CALL ctl_stop( 'The horizontal diffusivity coef. aht0 must be negative' )
       ELSE
          IF(lwp) WRITE(numout,*) '          harmonic tracer diffusion (default)'
-         IF( aht0 < 0 .AND. .NOT. lk_esopa )   &
-              &   CALL ctl_stop('          The horizontal diffusivity coef. aht0 must be positive' )
+         IF( aht0 < 0 .AND. .NOT. lk_esopa )   CALL ctl_stop('The horizontal diffusivity coef. aht0 must be positive' )
       ENDIF
 
@@ -135,5 +132,4 @@
       !  Lateral eddy diffusivity and eddy induced velocity coefficients
       ! ================================================================
-
 #if defined key_traldf_c3d
       CALL ldf_tra_c3d( ll_print )      ! aht = 3D coef. = F( longitude, latitude, depth )
@@ -145,11 +141,11 @@
                                         ! Constant coefficients
       IF(lwp)WRITE(numout,*)
-      IF(lwp)WRITE(numout,*) '          constant eddy diffusivity coef.   ahtu = ahtv = ahtw = aht0 = ', aht0
+      IF(lwp)WRITE(numout,*) '      constant eddy diffusivity coef.   ahtu = ahtv = ahtw = aht0 = ', aht0
       IF( lk_traldf_eiv ) THEN
          IF(lwp)WRITE(numout,*)
-         IF(lwp)WRITE(numout,*) '          constant eddy induced velocity coef.   aeiu = aeiv = aeiw = aeiv0 = ', aeiv0
+         IF(lwp)WRITE(numout,*) '      constant eddy induced velocity coef.   aeiu = aeiv = aeiw = aeiv0 = ', aeiv0
       ENDIF
 #endif
-
+      !
    END SUBROUTINE ldf_tra_init
 
Index: trunk/NEMO/OPA_SRC/LDF/ldftra_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldftra_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/LDF/ldftra_oce.F90	(revision 1601)
@@ -4,15 +4,6 @@
    !! Ocean physics :  lateral tracer mixing coefficient defined in memory 
    !!=====================================================================
-   !!
-   !! ** Purpose : - Define in memory lateral tracer mixing coefficients
-   !!
-   !! History :
-   !!   9.0  !  02-11  (G. Madec)  Original code (from common.h)
+   !! History :  9.0  !  02-11  (G. Madec)  Original code
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_oce         ! ocean parameters
 
@@ -23,27 +14,25 @@
    !! Lateral eddy diffusivity coefficients (tracers)
    !!----------------------------------------------------------------------
+   !                                                !!* Namelist namtra_ldf : lateral mixing *
+   LOGICAL , PUBLIC ::   ln_traldf_lap   = .TRUE.    !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_traldf_bilap = .FALSE.   !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_traldf_level = .FALSE.   !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_traldf_hor   = .FALSE.   !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_traldf_iso   = .TRUE.    !: iso-neutral direction
+   REAL(wp), PUBLIC ::   rn_aht_0        = 2000._wp  !: lateral eddy diffusivity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahtb_0       =    0._wp  !: lateral background eddy diffusivity (m2/s)
+   REAL(wp), PUBLIC ::   rn_aeiv_0       = 2000._wp  !: eddy induced velocity coefficient (m2/s)
 
-   LOGICAL , PUBLIC ::              & !!: ** lateral mixing namelist (nam_traldf) **
-      ln_traldf_lap   = .TRUE.  ,   &  !: laplacian operator
-      ln_traldf_bilap = .FALSE. ,   &  !: bilaplacian operator
-      ln_traldf_level = .FALSE. ,   &  !: iso-level direction
-      ln_traldf_hor   = .FALSE. ,   &  !: horizontal (geopotential) direction
-      ln_traldf_iso   = .TRUE.         !: iso-neutral direction
-
-   REAL(wp), PUBLIC ::              & !!: ** lateral mixing namelist (namldf) **
-      aht0  = 2000._wp     ,        &  !: lateral eddy diffusivity (m2/s)
-      ahtb0 =    0._wp     ,        &  !: lateral background eddy diffusivity (m2/s)
-      aeiv0 = 2000._wp                 !: eddy induced velocity coefficient (m2/s)
+   REAL(wp), PUBLIC ::   aht0, ahtb0, aeiv0         !!: OLD namelist names
 
 #if defined key_traldf_c3d
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &  !: ** 3D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   ahtt, ahtu, ahtv, ahtw   !: ** 3D coefficients ** at T-, U-, V-, W-points
 #elif defined key_traldf_c2d
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   &  !: ** 2D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   ahtt, ahtu, ahtv, ahtw   !: ** 2D coefficients ** at T-, U-, V-, W-points
 #elif defined key_traldf_c1d
-   REAL(wp), PUBLIC, DIMENSION(jpk)         ::   &  !: ** 1D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpk)         ::   ahtt, ahtu, ahtv, ahtw   !: ** 1D coefficients ** at T-, U-, V-, W-points
 #else
-   REAL(wp), PUBLIC                         ::   &  !: ** 0D coefficients **
+   REAL(wp), PUBLIC                         ::   ahtt, ahtu, ahtv, ahtw   !: ** 0D coefficients ** at T-, U-, V-, W-points
 #endif
-      ahtt, ahtu, ahtv, ahtw                !: T-, U-, V-, W-points coefficients
 
 
@@ -55,17 +44,14 @@
       
 # if defined key_traldf_c3d
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &  !: ** 3D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   aeiu, aeiv, aeiw  !: ** 3D coefficients ** at U-, V-, W-points  [m2/s]
 # elif defined key_traldf_c2d
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   &  !: ** 2D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   aeiu, aeiv, aeiw  !: ** 2D coefficients ** at U-, V-, W-points  [m2/s]
 # elif defined key_traldf_c1d
-   REAL(wp), PUBLIC, DIMENSION(jpk)         ::   &  !: ** 1D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpk)         ::   aeiu, aeiv, aeiw  !: ** 1D coefficients ** at U-, V-, W-points  [m2/s]
 # else
-   REAL(wp), PUBLIC                         ::   &  !: ** 0D coefficients **
+   REAL(wp), PUBLIC                         ::   aeiu, aeiv, aeiw  !: ** 0D coefficients ** at U-, V-, W-points  [m2/s]
 # endif
-      aeiu, aeiv, aeiw                              !: U-, V-, W-points  induced velocity coef. (m2/s)
-
 # if defined key_diaeiv
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::    &  !:
-      u_eiv, v_eiv, w_eiv     !: The three component of the eddy induced velocity (m/s)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   u_eiv, v_eiv, w_eiv   !: eddy induced velocity [m/s]
 # endif
 
@@ -75,7 +61,11 @@
    !!----------------------------------------------------------------------
    LOGICAL , PUBLIC, PARAMETER ::   lk_traldf_eiv   = .FALSE.   !: eddy induced velocity flag
-   REAL(wp), PUBLIC ::   aeiu, aeiv, aeiw
+   REAL(wp), PUBLIC            ::   aeiu, aeiv, aeiw            !: eddy induced coef. (not used)
 #endif
 
    !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!=====================================================================
 END MODULE ldftra_oce
